import { h, ComponentChildren, JSX } from 'preact';
interface DialogProps {
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
    children: ComponentChildren;
}
declare const Dialog: ({ open, onOpenChange, children }: DialogProps) => import("react/jsx-runtime").JSX.Element;
declare const DialogTrigger: import('preact').FunctionalComponent<import('preact/compat').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLButtonElement>> & {
    ref?: import('preact').Ref<HTMLButtonElement> | undefined;
}>;
interface DialogContentProps extends JSX.HTMLAttributes<HTMLDialogElement> {
    onClose?: () => void;
}
declare const DialogContent: import('preact').FunctionalComponent<import('preact/compat').PropsWithoutRef<DialogContentProps> & {
    ref?: import('preact').Ref<HTMLDialogElement> | undefined;
}>;
declare const DialogHeader: {
    ({ className, ...props }: JSX.HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
declare const DialogFooter: {
    ({ className, ...props }: JSX.HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
declare const DialogTitle: import('preact').FunctionalComponent<import('preact/compat').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLHeadingElement>> & {
    ref?: import('preact').Ref<HTMLHeadingElement> | undefined;
}>;
declare const DialogDescription: import('preact').FunctionalComponent<import('preact/compat').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLParagraphElement>> & {
    ref?: import('preact').Ref<HTMLParagraphElement> | undefined;
}>;
declare const DialogPortal: ({ children }: {
    children: ComponentChildren;
}) => ComponentChildren;
declare const DialogOverlay: () => null;
declare const DialogClose: import('preact').FunctionalComponent<import('preact/compat').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLButtonElement>> & {
    ref?: import('preact').Ref<HTMLButtonElement> | undefined;
}>;
export { Dialog, DialogPortal, DialogOverlay, DialogClose, DialogTrigger, DialogContent, DialogHeader, DialogFooter, DialogTitle, DialogDescription, };
